v1.0

post

/ec-site-svc/rest/v1/studies/{studyId}/{mode}/regions

Creates a region associated to a country. Region data should include a list of associated countries (minimum one country).

Request

Path Parameters
  • Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).
    Example:
    test
  • Study identifier as a 32-character uppercase hexadecimal UUID string.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
Request Body - application/json ()
Root Schema : RegionDto v1.0
Type: object
Title: RegionDto v1.0
Region metadata that lists associated countries.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Region ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the region.
  • Title: Region Name
    Minimum Length: 1
    Maximum Length: 100
    Official name of the region.
    Example: North America Region
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • RegionCountryDto v1.0
    Title: RegionCountryDto v1.0
    Country metadata captured for each region.
  • Title: Version Start
    Timestamp when this region version was created.
    Example: 2026-03-17T10:00:00Z
Example:
[
    {
        "id":"A0E1B2C3D4E5F67890123456789ABCDE",
        "name":"North America Region"
    }
]
Nested Schema : RegionCountryDto v1.0
Type: object
Title: RegionCountryDto v1.0
Country metadata captured for each region.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Country ID
    Identifier of the country linked to the region.
  • Title: Country Name
    Display name of the country associated with the region.
    Example: United States
  • Title: Region Country ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the region-country association.
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • Title: Version Start
    Timestamp when this region-country association version was created.
    Example: 2026-03-17T10:00:00Z
Example:
[
    {
        "countryId":"A0E1B2C3D4E5F67890123456789ABCDE",
        "countryName":"United States"
    }
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : RegionDto v1.0
Type: object
Title: RegionDto v1.0
Region metadata that lists associated countries.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Region ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the region.
  • Title: Region Name
    Minimum Length: 1
    Maximum Length: 100
    Official name of the region.
    Example: North America Region
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • RegionCountryDto v1.0
    Title: RegionCountryDto v1.0
    Country metadata captured for each region.
  • Title: Version Start
    Timestamp when this region version was created.
    Example: 2026-03-17T10:00:00Z
Example:
[
    {
        "id":"A0E1B2C3D4E5F67890123456789ABCDE",
        "name":"North America Region"
    }
]
Nested Schema : RegionCountryDto v1.0
Type: object
Title: RegionCountryDto v1.0
Country metadata captured for each region.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Country ID
    Identifier of the country linked to the region.
  • Title: Country Name
    Display name of the country associated with the region.
    Example: United States
  • Title: Region Country ID
    Unique identifier (UUID, 32-character uppercase hexadecimal string) of the region-country association.
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • Title: Version Start
    Timestamp when this region-country association version was created.
    Example: 2026-03-17T10:00:00Z
Example:
[
    {
        "countryId":"A0E1B2C3D4E5F67890123456789ABCDE",
        "countryName":"United States"
    }
]
Examples

400 Response

In case a region already exist with same name or a country to be associated is already associated with another region
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

Back to Top